unit Speaker;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TVVSpeaker = class(TComponent)
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure Speak(const s : string);
    procedure ToggleMute;
  published
    { Published declarations }
  end;

procedure Register;

implementation

const
  VV_MUTE = WM_USER+10;
  VV_SPEAK = $c;

var
  VVHandle : HWND;

procedure Register;
begin
  RegisterComponents('ActiveX', [TVVSpeaker]);
end;

procedure TVVSpeaker.Speak(const s : string);
var
  x : string;
begin
  if VVHandle = 0 then exit;
  x := s + #0;
  SendMessage (VVHandle, VV_SPEAK, 0, integer(@x[1]));
end;

procedure TVVSpeaker.ToggleMute;
begin
  if VVHandle = 0 then exit;
  SendMessage(VVHandle, VV_MUTE, 0, 0);
end;

initialization
  VVHandle := FindWindow('TVV_Link', 'VV_Link');
end.
